RAS update - do I need to update the client as well to version 18?

Discussion in 'Parallels Client for Windows' started by LisaA6, Oct 14, 2021.

  1. LisaA6

    LisaA6

    Messages:
    1
    There's an RAS update to version 18. Right now I'm on version 17. My users are all on Parallels Client version 17 as well. If I update the RAS system to version 18, do the users need to update to version 18 on the Parallels Client as well? Most of them are offsite, so not sure they are comfortable with doing that update themselves.
     
  2. jpc

    jpc Kilo Poster

    Messages:
    338
    The latest RAS server/client updates for a major version are usually quite backward compatible with the immediate previous/next major version. The older the client/server gets the more chances there are of encountering minor subtle issues. So in general, the clients do not need to be on the latest version.

    However, since the client is free to download, it is usually preferable to use the latest available client for a given platform as it might add stability fixes (and sometimes improve compatibility with newer versions). If the end-user encounters any issues, in most cases, the first step one would do is to update to the latest client version.
    Client updates are delivered automatically for store-based versions (e.g. macOS, iOS, Android, ChromeOS, ...). For other platforms, there is control on the client updates via RAS client policies. In large environments, this can be used to deploy client updates in stages (for compat/evaluation purposes).
     

Share This Page